import React from 'react';
import { storiesOf } from '@storybook/react';
import { withNotes } from '@storybook/addon-notes';
import Crypto from '../Crypto';
import defaultNote from './Crypto.md';
import config from '../config.json';

const stories = storiesOf('Crypto', module);

stories.add(
  '虛擬貨幣區塊',
  withNotes(defaultNote)(() => {
    return <Crypto config={config} />;
  })
);
