export default [
  {
    name: 'news',
    title: '新聞',
    url: 'https://m.cnyes.com/news',
    items: [
      {
        name: 'headline',
        title: '即時頭條',
        url: 'https://m.cnyes.com/news/cat/headline',
      },
      {
        name: 'news24h',
        title: '主編精選',
        url: 'https://m.cnyes.com/news/cat/news24h',
      },
      {
        name: 'tw_stock',
        title: '台股',
        url: 'https://m.cnyes.com/news/cat/tw_stock',
      },
      {
        name: 'announcement',
        title: '台股公告',
        url: 'https://m.cnyes.com/news/cat/announcement',
      },
      {
        name: 'tw_money',
        title: '基金理財',
        url: 'https://m.cnyes.com/news/cat/tw_money',
      },
      {
        name: 'wd_stock',
        title: '國際股',
        url: 'https://m.cnyes.com/news/cat/wd_stock',
      },
      {
        name: 'us_stock',
        title: '美股',
        url: 'https://m.cnyes.com/news/cat/us_stock',
      },
      {
        name: 'us_stock_live',
        title: '美股雷達',
        url: 'https://m.cnyes.com/news/cat/us_stock_live',
      },
      {
        name: 'cnyeshouse',
        title: '房產',
        url: 'https://m.cnyes.com/news/cat/cnyeshouse',
      },
      {
        name: 'cn_stock',
        title: '陸港股',
        url: 'https://m.cnyes.com/news/cat/cn_stock',
      },
      {
        name: 'bc',
        title: '虛擬貨幣',
        url: 'https://m.cnyes.com/news/cat/bc',
      },
      {
        name: 'bc_live',
        title: '虛擬貨幣快訊',
        url: 'https://m.cnyes.com/news/cat/bc_live',
      },
      {
        name: 'celebrity_area',
        title: '鉅亨新視界',
        url: 'https://m.cnyes.com/news/cat/celebrity_area',
      },
      {
        name: 'forex',
        title: '外匯',
        url: 'https://m.cnyes.com/news/cat/forex',
      },
      {
        name: 'topics',
        title: '專題報導',
        url: 'https://topics.cnyes.com/',
      },
      {
        name: 'future',
        title: '期貨商品',
        url: 'https://m.cnyes.com/news/cat/future',
      },
      {
        name: 'mag',
        title: '雜誌',
        url: 'https://m.cnyes.com/news/cat/mag',
      },
    ],
  },
  {
    name: 'market',
    title: '市場',
    url: 'https://m.cnyes.com/market',
    items: [
      {
        name: 'stockq',
        title: 'StockQ',
        url: 'https://www.cnyes.com/stockQ',
      },
      {
        name: 'index_tse',
        title: '台股',
        url: 'https://m.cnyes.com/twstock/index_tse.aspx',
      },
      {
        name: 'market_global',
        title: '全球市場',
        url: 'https://m.cnyes.com/market/#market_global',
      },
      {
        name: 'fund_search',
        title: '基金',
        url: 'https://invest.cnyes.com/funds/search?institutional=0',
      },
      {
        name: 'quote_search',
        title: '個股查詢',
        url: 'https://www.cnyes.com/search/quote',
      },
      {
        name: 'market_currency',
        title: '主要匯率',
        url: 'https://m.cnyes.com/market/#market_currency',
      },
      {
        name: 'crypto',
        title: '虛擬貨幣',
        url: 'https://crypto.cnyes.com/BTC/24h',
      },
      {
        name: 'forex_exchange',
        title: '銀行換匯',
        url: 'https://forex.cnyes.com/currency/USD/TWD',
      },
    ],
  },
  {
    name: 'buy',
    title: '鉅亨買',
    items: [
      {
        name: 'buy_tw_stock',
        title: '買台股',
        url: 'https://campaign.cnyes.com/topics/sinopacsectwstock',
        highlight: true,
      },
      {
        name: 'buy_us_stock',
        title: '買台股',
        url: 'https://campaign.cnyes.com/topics/sinopacsecusstock',
        highlight: true,
      },
      {
        name: 'buy_crypto',
        title: '買虛擬貨幣',
        url: 'https://campaign.cnyes.com/topics/anuecrypto/?utm_source=mobile&utm_medium=menu',
        highlight: true,
      },
      {
        name: 'buy_fund',
        title: '買基金',
        url: 'https://www.anuefund.com/Index.aspx?utm_source=cnyes&utm_medium=channel_mainpage',
        highlight: false,
      },
    ],
  },
  {
    name: 'member',
    title: '會員',
    url: 'https://www.cnyes.com/member/',
    items: [
      {
        name: 'my_tag',
        title: '新聞追蹤',
        url: 'https://www.cnyes.com/member/mytag/all',
      },
      {
        name: 'portfolios',
        title: '自選股',
        url: 'https://www.cnyes.com/member/portfolios',
      },
      {
        name: 'info',
        title: '個人資料',
        url: 'https://www.cnyes.com/member/info',
      },
      {
        name: 'feeds',
        title: '動態牆',
        url: 'https://invest.cnyes.com/feeds',
      },
      {
        name: 'blog',
        title: 'Blog',
        url: 'http://m.blog.cnyes.com',
      },
      {
        name: 'anue_hao',
        title: '鉅亨號',
        url: 'https://hao.cnyes.com',
        highlight: true,
        bold: true,
      },
      {
        name: 'anue_store',
        title: '鉅亨投資商城',
        url: 'https://www.cnyes.com/anuestore',
        highlight: true,
        bold: true,
      },
    ],
  },
  {
    name: 'video',
    title: '影音',
    url: 'https://www.cnyes.com/video',
    items: [
      {
        name: 'course',
        title: '投資駕訓班',
        url: 'https://www.cnyes.com/video/course',
      },
      {
        name: 'allen_see_the_world',
        title: '鉅亨看視界',
        url: 'https://www.cnyes.com/video/program/allen_see_the_world',
      },
      {
        name: 'hk_stock_lecture',
        title: '港股大講堂',
        url: 'https://www.cnyes.com/video/program/hk_stock_lecture',
      },
      {
        name: 'anue_fund',
        title: '鉅亨FUND大鏡',
        url: 'https://www.cnyes.com/video/program/anue_fund',
      },
      {
        name: 'video_news',
        title: '影音新聞',
        url: 'https://www.cnyes.com/video/news/video_news',
      },
      {
        name: 'litv',
        title: '免費看片',
        url: 'https://www.cnyes.com/video/litv',
      },
    ],
  },
];
