## Usage

```js
import SwitchVersionButton from 'fe-common-library/dest/components/SwitchVersionButton';
import 'fe-common-library/dest/components/SwitchVersionButton/style.css';
import { NEW_VERSION, OLD_VERSION } from 'fe-common-library/dest/components/SwitchVersionButton';

// ...

const onSwitchVersionHandler = version => {
  console.log('swtich version is ', version);
}

render() {
  return (
    <SwitchVersionButton
      defaultVersion={NEW_VERSION}
      color="#000000"
      location={window.location}
      onSwitchVersion={onSwitchVersionHandler}
    />;
  );
}
```
